'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var React = require('react');
var clsx = require('clsx');
var reactContainerQuery = require('react-container-query');

function _interopNamespaceDefault(e) {
  var n = Object.create(null);
  if (e) {
    Object.keys(e).forEach(function (k) {
      if (k !== 'default') {
        var d = Object.getOwnPropertyDescriptor(e, k);
        Object.defineProperty(n, k, d.get ? d : {
          enumerable: true,
          get: function () { return e[k]; }
        });
      }
    });
  }
  n.default = e;
  return n;
}

var React__namespace = /*#__PURE__*/_interopNamespaceDefault(React);

function _extends() {
  _extends = Object.assign ? Object.assign.bind() : function (target) {
    for (var i = 1; i < arguments.length; i++) {
      var source = arguments[i];
      for (var key in source) {
        if (Object.prototype.hasOwnProperty.call(source, key)) {
          target[key] = source[key];
        }
      }
    }
    return target;
  };
  return _extends.apply(this, arguments);
}
function _objectWithoutPropertiesLoose(source, excluded) {
  if (source == null) return {};
  var target = {};
  var sourceKeys = Object.keys(source);
  var key, i;
  for (i = 0; i < sourceKeys.length; i++) {
    key = sourceKeys[i];
    if (excluded.indexOf(key) >= 0) continue;
    target[key] = source[key];
  }
  return target;
}

exports.EBreakpoint = void 0;
(function (EBreakpoint) {
  EBreakpoint["xs"] = "xs";
  EBreakpoint["sm"] = "sm";
  EBreakpoint["md"] = "md";
  EBreakpoint["lg"] = "lg";
  EBreakpoint["xl"] = "xl";
})(exports.EBreakpoint || (exports.EBreakpoint = {}));

var styles = {"grid":"index-module_grid__X-hEH","grid-auto-1":"index-module_grid-auto-1__aIjSu","grid-auto-2":"index-module_grid-auto-2__b-CO5","grid-auto-3":"index-module_grid-auto-3__XY3RS","grid-auto-4":"index-module_grid-auto-4__YB-gU","grid-auto-5":"index-module_grid-auto-5__xJr-H","grid-auto-cols":"index-module_grid-auto-cols__mIRrq","grid-gap-4xs":"index-module_grid-gap-4xs__KFR--","grid-gap-3xs":"index-module_grid-gap-3xs__XrxXV","grid-gap-2xs":"index-module_grid-gap-2xs__ldnoI","grid-gap-xs":"index-module_grid-gap-xs__-iK3C","grid-gap-sm":"index-module_grid-gap-sm__qHFyA","grid-gap-md":"index-module_grid-gap-md__fTZvD","grid-gap-lg":"index-module_grid-gap-lg__x0VRl","grid-gap-xl":"index-module_grid-gap-xl__Im9zL","grid-gap-2xl":"index-module_grid-gap-2xl__KkeZl","grid-gap-3xl":"index-module_grid-gap-3xl__hr4qa","grid-gap-4xl":"index-module_grid-gap-4xl__OJpdo","col-1":"index-module_col-1__WTTxh","col-start-1":"index-module_col-start-1__09uiN","col-end-2":"index-module_col-end-2__xMfAe","col-2":"index-module_col-2__WdDKD","col-start-2":"index-module_col-start-2__iRnbr","col-end-3":"index-module_col-end-3__AkeqE","col-3":"index-module_col-3__7o-0c","col-start-3":"index-module_col-start-3__BL9fu","col-end-4":"index-module_col-end-4__IlVZP","col-4":"index-module_col-4__1jYAL","col-start-4":"index-module_col-start-4__7vTJq","col-end-5":"index-module_col-end-5__ddu-4","col-5":"index-module_col-5__5rVcJ","col-start-5":"index-module_col-start-5__DXeE-","col-end-6":"index-module_col-end-6__6i6Zc","col-6":"index-module_col-6__618Sa","col-start-6":"index-module_col-start-6__ijR3u","col-end-7":"index-module_col-end-7__anls4","col-7":"index-module_col-7__WNUig","col-start-7":"index-module_col-start-7__mI-XP","col-end-8":"index-module_col-end-8__QTKj4","col-8":"index-module_col-8__nuovc","col-start-8":"index-module_col-start-8__ANC-Y","col-end-9":"index-module_col-end-9__4ih6v","col-9":"index-module_col-9__dUEdm","col-start-9":"index-module_col-start-9__O4Enu","col-end-10":"index-module_col-end-10__QD--D","col-10":"index-module_col-10__3O5DR","col-start-10":"index-module_col-start-10__3zvZS","col-end-11":"index-module_col-end-11__-cl1C","col-11":"index-module_col-11__lG5vB","col-start-11":"index-module_col-start-11__q-qhG","col-end-12":"index-module_col-end-12__6fQop","col-12":"index-module_col-12__uTerQ","col-start-12":"index-module_col-start-12__kY1tn","col-end-13":"index-module_col-end-13__nSUqJ","col-start":"index-module_col-start__sxmi1","col-end":"index-module_col-end__v1E0P","container-xs":"index-module_container-xs__DTaqw","grid-auto-1@xs":"index-module_grid-auto-1--xs__KqJkJ","grid-auto-2@xs":"index-module_grid-auto-2--xs__EyTn2","grid-auto-3@xs":"index-module_grid-auto-3--xs__PUan4","grid-auto-4@xs":"index-module_grid-auto-4--xs__NnvaN","grid-auto-5@xs":"index-module_grid-auto-5--xs__W45a4","grid-auto-cols@xs":"index-module_grid-auto-cols--xs__Nm7CT","col-1@xs":"index-module_col-1--xs__9wJlV","col-start-1@xs":"index-module_col-start-1--xs__UGb4M","col-end-2@xs":"index-module_col-end-2--xs__BxwP4","col-2@xs":"index-module_col-2--xs__VGtxt","col-start-2@xs":"index-module_col-start-2--xs__hGNw4","col-end-3@xs":"index-module_col-end-3--xs__-BoYR","col-3@xs":"index-module_col-3--xs__eDjOR","col-start-3@xs":"index-module_col-start-3--xs__s-aYk","col-end-4@xs":"index-module_col-end-4--xs__2XVxU","col-4@xs":"index-module_col-4--xs__TKgmX","col-start-4@xs":"index-module_col-start-4--xs__-rxiW","col-end-5@xs":"index-module_col-end-5--xs__OLoI9","col-5@xs":"index-module_col-5--xs__y1MDQ","col-start-5@xs":"index-module_col-start-5--xs__K77Js","col-end-6@xs":"index-module_col-end-6--xs__YSBbx","col-6@xs":"index-module_col-6--xs__IQqf-","col-start-6@xs":"index-module_col-start-6--xs__Jj4Uy","col-end-7@xs":"index-module_col-end-7--xs__uasGL","col-7@xs":"index-module_col-7--xs__7Hjbh","col-start-7@xs":"index-module_col-start-7--xs__LNAoS","col-end-8@xs":"index-module_col-end-8--xs__8KZsq","col-8@xs":"index-module_col-8--xs__6e7yK","col-start-8@xs":"index-module_col-start-8--xs__lj34T","col-end-9@xs":"index-module_col-end-9--xs__cVQKn","col-9@xs":"index-module_col-9--xs__Dumxf","col-start-9@xs":"index-module_col-start-9--xs__BHnQw","col-end-10@xs":"index-module_col-end-10--xs__hkuuQ","col-10@xs":"index-module_col-10--xs__Q7j2K","col-start-10@xs":"index-module_col-start-10--xs__ktBGw","col-end-11@xs":"index-module_col-end-11--xs__B3Upv","col-11@xs":"index-module_col-11--xs__R3IkJ","col-start-11@xs":"index-module_col-start-11--xs__6YWmh","col-end-12@xs":"index-module_col-end-12--xs__jsm9N","col-12@xs":"index-module_col-12--xs__j0TAL","col-start-12@xs":"index-module_col-start-12--xs__qd2h4","col-end-13@xs":"index-module_col-end-13--xs__xDMKz","col-start-auto@xs":"index-module_col-start-auto--xs__U8zXO","col-end-auto@xs":"index-module_col-end-auto--xs__daIJu","container-sm":"index-module_container-sm__lOFy7","grid-auto-1@sm":"index-module_grid-auto-1--sm__bbB-y","grid-auto-2@sm":"index-module_grid-auto-2--sm__u-lHT","grid-auto-3@sm":"index-module_grid-auto-3--sm__nCU4Q","grid-auto-4@sm":"index-module_grid-auto-4--sm__Lie94","grid-auto-5@sm":"index-module_grid-auto-5--sm__-HtYd","grid-auto-cols@sm":"index-module_grid-auto-cols--sm__AOFmX","col-1@sm":"index-module_col-1--sm__uhW65","col-start-1@sm":"index-module_col-start-1--sm__7MPQ1","col-end-2@sm":"index-module_col-end-2--sm__XUjzK","col-2@sm":"index-module_col-2--sm__iqTGX","col-start-2@sm":"index-module_col-start-2--sm__mSatJ","col-end-3@sm":"index-module_col-end-3--sm__evjWh","col-3@sm":"index-module_col-3--sm__RtLhI","col-start-3@sm":"index-module_col-start-3--sm__9a15n","col-end-4@sm":"index-module_col-end-4--sm__JWtob","col-4@sm":"index-module_col-4--sm__rgyjm","col-start-4@sm":"index-module_col-start-4--sm__8i9-m","col-end-5@sm":"index-module_col-end-5--sm__Q9yES","col-5@sm":"index-module_col-5--sm__Td1Em","col-start-5@sm":"index-module_col-start-5--sm__TmKfC","col-end-6@sm":"index-module_col-end-6--sm__qGJSL","col-6@sm":"index-module_col-6--sm__qvxOi","col-start-6@sm":"index-module_col-start-6--sm__mbME-","col-end-7@sm":"index-module_col-end-7--sm__MaVwA","col-7@sm":"index-module_col-7--sm__yZOZq","col-start-7@sm":"index-module_col-start-7--sm__6e10h","col-end-8@sm":"index-module_col-end-8--sm__09Ebl","col-8@sm":"index-module_col-8--sm__U39dy","col-start-8@sm":"index-module_col-start-8--sm__PCMuW","col-end-9@sm":"index-module_col-end-9--sm__VVunT","col-9@sm":"index-module_col-9--sm__dGrPi","col-start-9@sm":"index-module_col-start-9--sm__z9mhI","col-end-10@sm":"index-module_col-end-10--sm__kisci","col-10@sm":"index-module_col-10--sm__Olwqt","col-start-10@sm":"index-module_col-start-10--sm__cf5cv","col-end-11@sm":"index-module_col-end-11--sm__M1vkZ","col-11@sm":"index-module_col-11--sm__pU1mJ","col-start-11@sm":"index-module_col-start-11--sm__bo0rL","col-end-12@sm":"index-module_col-end-12--sm__aPa61","col-12@sm":"index-module_col-12--sm__yz9Ri","col-start-12@sm":"index-module_col-start-12--sm__aS2yQ","col-end-13@sm":"index-module_col-end-13--sm__1ud0P","col-start-auto@sm":"index-module_col-start-auto--sm__gJAyW","col-end-auto@sm":"index-module_col-end-auto--sm__wolSj","container-md":"index-module_container-md__4Zi-Q","grid-auto-1@md":"index-module_grid-auto-1--md__FlSEd","grid-auto-2@md":"index-module_grid-auto-2--md__Xzdxc","grid-auto-3@md":"index-module_grid-auto-3--md__tTLyB","grid-auto-4@md":"index-module_grid-auto-4--md__WOdtX","grid-auto-5@md":"index-module_grid-auto-5--md__X2QPp","grid-auto-cols@md":"index-module_grid-auto-cols--md__-8ayH","col-1@md":"index-module_col-1--md__FiitP","col-start-1@md":"index-module_col-start-1--md__xbRtm","col-end-2@md":"index-module_col-end-2--md__ufj8e","col-2@md":"index-module_col-2--md__8mvrb","col-start-2@md":"index-module_col-start-2--md__hb8CU","col-end-3@md":"index-module_col-end-3--md__6RC1C","col-3@md":"index-module_col-3--md__IEtaI","col-start-3@md":"index-module_col-start-3--md__feBLc","col-end-4@md":"index-module_col-end-4--md__c-SAf","col-4@md":"index-module_col-4--md__bW9vH","col-start-4@md":"index-module_col-start-4--md__BDIuX","col-end-5@md":"index-module_col-end-5--md__k-h1d","col-5@md":"index-module_col-5--md__Mw03v","col-start-5@md":"index-module_col-start-5--md__vzAix","col-end-6@md":"index-module_col-end-6--md__M6g0m","col-6@md":"index-module_col-6--md__HWH8P","col-start-6@md":"index-module_col-start-6--md__fuWFQ","col-end-7@md":"index-module_col-end-7--md__JxuYO","col-7@md":"index-module_col-7--md__PMmfs","col-start-7@md":"index-module_col-start-7--md__7uPds","col-end-8@md":"index-module_col-end-8--md__KFxah","col-8@md":"index-module_col-8--md__m-lEF","col-start-8@md":"index-module_col-start-8--md__brYMz","col-end-9@md":"index-module_col-end-9--md__ylb4K","col-9@md":"index-module_col-9--md__o3OU1","col-start-9@md":"index-module_col-start-9--md__hdeNF","col-end-10@md":"index-module_col-end-10--md__Z7Yr4","col-10@md":"index-module_col-10--md__foAW0","col-start-10@md":"index-module_col-start-10--md__K7909","col-end-11@md":"index-module_col-end-11--md__5QakS","col-11@md":"index-module_col-11--md__Jjrip","col-start-11@md":"index-module_col-start-11--md__8sQF2","col-end-12@md":"index-module_col-end-12--md__-EhuQ","col-12@md":"index-module_col-12--md__4-JCz","col-start-12@md":"index-module_col-start-12--md__I0pHh","col-end-13@md":"index-module_col-end-13--md__0cjp3","col-start-auto@md":"index-module_col-start-auto--md__LOxha","col-end-auto@md":"index-module_col-end-auto--md__iZxqK","container-lg":"index-module_container-lg__qw-G-","grid-auto-1@lg":"index-module_grid-auto-1--lg__AoJuD","grid-auto-2@lg":"index-module_grid-auto-2--lg__JxAB2","grid-auto-3@lg":"index-module_grid-auto-3--lg__-7VCQ","grid-auto-4@lg":"index-module_grid-auto-4--lg__9c0-C","grid-auto-5@lg":"index-module_grid-auto-5--lg__lVDb7","grid-auto-cols@lg":"index-module_grid-auto-cols--lg__sZYfv","col-1@lg":"index-module_col-1--lg__JgKq7","col-start-1@lg":"index-module_col-start-1--lg__fMKUZ","col-end-2@lg":"index-module_col-end-2--lg__Vxzf2","col-2@lg":"index-module_col-2--lg__YqMZy","col-start-2@lg":"index-module_col-start-2--lg__Jts7z","col-end-3@lg":"index-module_col-end-3--lg__gRkwS","col-3@lg":"index-module_col-3--lg__DARO8","col-start-3@lg":"index-module_col-start-3--lg__19GC-","col-end-4@lg":"index-module_col-end-4--lg__9JLze","col-4@lg":"index-module_col-4--lg__Fnn95","col-start-4@lg":"index-module_col-start-4--lg__nGljX","col-end-5@lg":"index-module_col-end-5--lg__2s9ra","col-5@lg":"index-module_col-5--lg__59hKr","col-start-5@lg":"index-module_col-start-5--lg__KBokY","col-end-6@lg":"index-module_col-end-6--lg__KMhrN","col-6@lg":"index-module_col-6--lg__B6ZSj","col-start-6@lg":"index-module_col-start-6--lg__wIMLx","col-end-7@lg":"index-module_col-end-7--lg__16U5f","col-7@lg":"index-module_col-7--lg__zB1QH","col-start-7@lg":"index-module_col-start-7--lg__AP9wN","col-end-8@lg":"index-module_col-end-8--lg__BccPZ","col-8@lg":"index-module_col-8--lg__cTfDl","col-start-8@lg":"index-module_col-start-8--lg__Z5HDR","col-end-9@lg":"index-module_col-end-9--lg__qRJHB","col-9@lg":"index-module_col-9--lg__9Ft0j","col-start-9@lg":"index-module_col-start-9--lg__zxFu-","col-end-10@lg":"index-module_col-end-10--lg__cykoy","col-10@lg":"index-module_col-10--lg__Zv4ym","col-start-10@lg":"index-module_col-start-10--lg__Rg4GM","col-end-11@lg":"index-module_col-end-11--lg__OYp81","col-11@lg":"index-module_col-11--lg__vhvxL","col-start-11@lg":"index-module_col-start-11--lg__EXwGe","col-end-12@lg":"index-module_col-end-12--lg__lr6xN","col-12@lg":"index-module_col-12--lg__Tqvfb","col-start-12@lg":"index-module_col-start-12--lg__hhmGN","col-end-13@lg":"index-module_col-end-13--lg__hDnIo","col-start-auto@lg":"index-module_col-start-auto--lg__3pNRV","col-end-auto@lg":"index-module_col-end-auto--lg__OdLdo","container-xl":"index-module_container-xl__NRtjx","grid-auto-1@xl":"index-module_grid-auto-1--xl__sgE7p","grid-auto-2@xl":"index-module_grid-auto-2--xl__Q8VOg","grid-auto-3@xl":"index-module_grid-auto-3--xl__6FUpK","grid-auto-4@xl":"index-module_grid-auto-4--xl__gI5MR","grid-auto-5@xl":"index-module_grid-auto-5--xl__HK5Ts","grid-auto-cols@xl":"index-module_grid-auto-cols--xl__wFBe7","col-1@xl":"index-module_col-1--xl__HhNut","col-start-1@xl":"index-module_col-start-1--xl__N-r-M","col-end-2@xl":"index-module_col-end-2--xl__TS541","col-2@xl":"index-module_col-2--xl__Mzsav","col-start-2@xl":"index-module_col-start-2--xl__x8EyE","col-end-3@xl":"index-module_col-end-3--xl__JdRzr","col-3@xl":"index-module_col-3--xl__ofiG0","col-start-3@xl":"index-module_col-start-3--xl__XjaGy","col-end-4@xl":"index-module_col-end-4--xl__PSjBI","col-4@xl":"index-module_col-4--xl__pEVhc","col-start-4@xl":"index-module_col-start-4--xl__6Awfn","col-end-5@xl":"index-module_col-end-5--xl__5qSmn","col-5@xl":"index-module_col-5--xl__KlvHT","col-start-5@xl":"index-module_col-start-5--xl__zbmoM","col-end-6@xl":"index-module_col-end-6--xl__Bdmai","col-6@xl":"index-module_col-6--xl__dvhUY","col-start-6@xl":"index-module_col-start-6--xl__OQSGA","col-end-7@xl":"index-module_col-end-7--xl__QFBwc","col-7@xl":"index-module_col-7--xl__-jNsB","col-start-7@xl":"index-module_col-start-7--xl__Lbs8i","col-end-8@xl":"index-module_col-end-8--xl__Kfeh-","col-8@xl":"index-module_col-8--xl__RvgaS","col-start-8@xl":"index-module_col-start-8--xl__nSRrO","col-end-9@xl":"index-module_col-end-9--xl__oAeao","col-9@xl":"index-module_col-9--xl__AE5dD","col-start-9@xl":"index-module_col-start-9--xl__bh-4i","col-end-10@xl":"index-module_col-end-10--xl__KaLNa","col-10@xl":"index-module_col-10--xl__toppI","col-start-10@xl":"index-module_col-start-10--xl__-R9LX","col-end-11@xl":"index-module_col-end-11--xl__WNtW2","col-11@xl":"index-module_col-11--xl__XHdBf","col-start-11@xl":"index-module_col-start-11--xl__lI9KN","col-end-12@xl":"index-module_col-end-12--xl__STAaZ","col-12@xl":"index-module_col-12--xl__FUDBR","col-start-12@xl":"index-module_col-start-12--xl__-7QUD","col-end-13@xl":"index-module_col-end-13--xl__FIjPd","col-start-auto@xl":"index-module_col-start-auto--xl__nnw6u","col-end-auto@xl":"index-module_col-end-auto--xl__uZ0sO"};

var AutoGrid = function AutoGrid(_ref) {
  var _extends4;
  var children = _ref.children,
    _ref$gap = _ref.gap,
    gap = _ref$gap === void 0 ? exports.EBreakpoint.xs : _ref$gap,
    minChildWidth = _ref.minChildWidth;
  var customClasses = React__namespace.useMemo(function () {
    var _defaultClasses;
    var defaultClasses = (_defaultClasses = {}, _defaultClasses[styles['grid-auto-3']] = true, _defaultClasses);
    if (minChildWidth) {
      return Object.keys(minChildWidth).reduce(function (res, it) {
        var _extends3;
        if (it === 'base') {
          var _extends2;
          return _extends({}, res, (_extends2 = {}, _extends2[styles['grid-auto-3']] = false, _extends2[styles["grid-auto-" + minChildWidth[it]]] = true, _extends2));
        }
        var cloneRes = _extends({}, res, (_extends3 = {}, _extends3[styles["grid-auto-" + minChildWidth[it] + "@" + it]] = true, _extends3));
        return cloneRes;
      }, defaultClasses);
    }
    return defaultClasses;
  }, [minChildWidth]);
  return React__namespace.createElement("div", {
    className: clsx(_extends((_extends4 = {}, _extends4[styles["grid-gap-" + gap]] = true, _extends4), customClasses))
  }, children);
};

var _query;
var query = (_query = {}, _query[styles['container-xs']] = {
  minWidth: 400
}, _query[styles['container-sm']] = {
  minWidth: 640
}, _query[styles['container-md']] = {
  minWidth: 768
}, _query[styles['container-lg']] = {
  minWidth: 1024
}, _query[styles['container-xl']] = {
  minWidth: 1280
}, _query);
var Grid = function Grid(_ref) {
  var _extends2;
  var children = _ref.children,
    _ref$gap = _ref.gap,
    gap = _ref$gap === void 0 ? exports.EBreakpoint.xs : _ref$gap;
  var _useContainerQuery = reactContainerQuery.useContainerQuery(query, {}),
    params = _useContainerQuery[0],
    containerRef = _useContainerQuery[1];
  return React__namespace.createElement("div", {
    ref: containerRef,
    className: clsx(_extends({}, params, (_extends2 = {}, _extends2[styles['grid']] = true, _extends2[styles["grid-gap-" + gap]] = true, _extends2)))
  }, children);
};

var _excluded = ["children"];
var GridItem = function GridItem(_ref) {
  var children = _ref.children,
    restProps = _objectWithoutPropertiesLoose(_ref, _excluded);
  var customClasses = React__namespace.useMemo(function () {
    return Object.keys(restProps).reduce(function (res, it) {
      var _extends3;
      if (it === 'base') {
        var _extends2;
        return _extends({}, res, (_extends2 = {}, _extends2[styles["col-" + restProps[it]]] = true, _extends2));
      }
      var cloneRes = _extends({}, res, (_extends3 = {}, _extends3[styles["col-" + restProps[it] + "@" + it]] = true, _extends3));
      return cloneRes;
    }, {});
  }, [restProps]);
  return React__namespace.createElement("div", {
    className: clsx(customClasses)
  }, children);
};

exports.AutoGrid = AutoGrid;
exports.Grid = Grid;
exports.GridItem = GridItem;
//# sourceMappingURL=react-grid-container-query.cjs.development.js.map
